package be.ggj.elektrofried.painters;

import java.awt.Graphics2D;

import org.jdesktop.swingx.painter.Painter;

import be.ggj.elektrofried.sprites.Cloud;
import be.ggj.elektrofried.sprites.Particle;

public class CloudPainter<T extends Cloud> implements Painter<Cloud> {

	public void paint(Graphics2D g, Cloud elektronCloud, int width, int height) {
		for (Particle particle : elektronCloud.getParticles())  {
			Painter<Particle> elektronPainter = particle.getPainter();
			elektronPainter.paint(g, particle, (int) particle.getX1(), (int) particle.getY1());
		}
		
		
	}

}
