package be.ggj.elektrofried.sprites;

import java.awt.Color;


public class SteerableElektron extends Elektron {

	private double targetRadius;
	
	public SteerableElektron(double centerX, double centerY,
			double orbitRadiusX, double orbitRadiusY, double speed, int radius) {
		super(centerX, centerY, orbitRadiusX, orbitRadiusY, speed, radius);
		// set radius to target radius so the steering electron will describe a stable orbit
		setTargetRadius(orbitRadiusX);
		setColor(Color.blue);
	}

//	@Override
//	public void setXCoordinate(double alpha) {
//		super.setX1(getCenterX() + getOrbitRadiusX() * Math.sin(ElektroFriedGame.SPEED_MULTIPLIER * alpha * getSpeed()));
//	}
//
//	@Override
//	public void setYCoordinate(double alpha) {
//		super.setY1(getCenterY() + getOrbitRadiusY() * Math.cos(ElektroFriedGame.SPEED_MULTIPLIER * alpha * getSpeed()));
//	}

	public double getTargetRadius() {
		return targetRadius;
	}

	public void setTargetRadius(double targetRadius) {
		this.targetRadius = targetRadius;
		System.out.println("new target radius "  + targetRadius);
	}
	
	public void changeTargetRadius(int increase) {
		this.targetRadius = targetRadius + increase;		
		System.out.println("new target radius "  + targetRadius);

	}

}
